Freeciv-3.3: qdef_act Class Reference

Freeciv-3.3

Loading...
Searching...
No Matches
Public Member Functions | Static Public Member Functions | Private Member Functions | Private Attributes | Static Private Attributes
qdef_act Class Reference

`#include <dialogs.h>`

## Public Member Functions

void | vs_city_set (int i)
void | vs_unit_set (int i)
action_id | vs_city_get ()
action_id | vs_unit_get ()

## Static Public Member Functions

static qdef_act * | action ()
static void | drop ()

## Private Member Functions

| Q_DISABLE_COPY (qdef_act)
| qdef_act ()

## Private Attributes

action_id | vs_city
action_id | vs_unit

## Static Private Attributes

static qdef_act * | m_instance = nullptr

## Detailed Description

Definition at line 52 of file dialogs.h.

## Constructor & Destructor Documentation

## ◆ qdef_act()

qdef_act::qdef_act | ( |  | ) |

explicitprivate

Default actions provider constructor

Definition at line 1032 of file dialogs.cpp.

Referenced by action().

## Member Function Documentation

## ◆ action()

qdef_act * qdef_act::action | ( |  | ) |

static

Returns instance of qdef_act

Definition at line 1041 of file dialogs.cpp.

Referenced by popup_action_selection(), mr_menu::slot_action_vs_city(), mr_menu::slot_action_vs_unit(), try_default_city_action(), and try_default_unit_action().

## ◆ drop()

void qdef_act::drop | ( |  | ) |

static

Deletes qdef_act instance

Definition at line 1052 of file dialogs.cpp.

## ◆ Q_DISABLE_COPY()

qdef_act::Q_DISABLE_COPY | ( | qdef_act |  | ) |

private

## ◆ vs_city_get()

action_id qdef_act::vs_city_get | ( |  | ) |

Returns default action vs city

Definition at line 1079 of file dialogs.cpp.

Referenced by popup_action_selection(), and try_default_city_action().

## ◆ vs_city_set()

void qdef_act::vs_city_set | ( | int | i | ) |

Sets default action vs city

Definition at line 1063 of file dialogs.cpp.

Referenced by mr_menu::slot_action_vs_city().

## ◆ vs_unit_get()

action_id qdef_act::vs_unit_get | ( |  | ) |

Returns default action vs unit

Definition at line 1087 of file dialogs.cpp.

Referenced by popup_action_selection(), and try_default_unit_action().

## ◆ vs_unit_set()

void qdef_act::vs_unit_set | ( | int | i | ) |

Sets default action vs unit

Definition at line 1071 of file dialogs.cpp.

Referenced by mr_menu::slot_action_vs_unit().

## Field Documentation

## ◆ m_instance

qdef_act * qdef_act::m_instance = nullptr

staticprivate

Definition at line 58 of file dialogs.h.

Referenced by action(), and drop().

## ◆ vs_city

action_id qdef_act::vs_city

private

Definition at line 59 of file dialogs.h.

Referenced by qdef_act(), vs_city_get(), and vs_city_set().

## ◆ vs_unit

action_id qdef_act::vs_unit

private

Definition at line 60 of file dialogs.h.

Referenced by qdef_act(), vs_unit_get(), and vs_unit_set().